[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[virt-tools-list] [PATCH] Fail if neither vnc nor spice is detected



Since the viewer makes little sense otherwise.
---
Fix -ENOCOFFEE error of v2

 configure.ac |    4 ++++
 1 file changed, 4 insertions(+)

diff --git a/configure.ac b/configure.ac
index e7ddd3e..f72e615 100644
--- a/configure.ac
+++ b/configure.ac
@@ -192,6 +192,10 @@ if test "x$enable_plugin" = "xyes"; then
 fi
 AM_CONDITIONAL(ENABLE_PLUGIN, [test "x$enable_plugin" = "xyes"])
 
+if test "x$have_gtk_vnc" != "xyes" && test "x$have_gtk_spice" != "xyes"; then
+    AC_MSG_ERROR([At least one of spice or vnc must be used])
+fi
+
 AC_OUTPUT([
     Makefile
     data/Makefile
-- 
1.7.10.4


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]